import 'package:flutter/material.dart';
import 'package:hello_dhs/SDB/Tokens/Typo.dart';
import 'package:hello_dhs/SDB/Tokens/colors.dart';
import 'package:hello_dhs/SDB/Tokens/shadows.dart';
class WeButton extends StatelessWidget {
  final String  text;
  final VoidCallback  method;
  WeButton (
      {Key  key,
        this.text,
        this.method
      }   
      ):super(key:key);
  @override
  Widget build(BuildContext context) {
    // TODO: implement build
    return Container(
      child: RaisedButton(
        onPressed: method,
        textColor: TEXT_WHITE,
        padding: const EdgeInsets.all(0.0),
        shape: RoundedRectangleBorder(borderRadius: BorderRadius.circular(20.0)),
        color: BRAND_PRIMARY,
        child:
        Container(
          alignment: Alignment(0,0),
          margin: EdgeInsets.only(
            left: 5.0,
            right: 5.0
        ),
          height: 25.0,
          width: 180.0,
          child:  Text(this.text.toUpperCase(), style: TextStyle(fontSize: BUTTON_TEXT_SIZE, color: TEXT_WHITE), ),
        ),
      ),
    );
  }
}
